export { GraphQLTransform, GraphQLTransformOptions, SyncUtils } from './transformation';
export { UserDefinedSlot, UserDefinedResolver } from './transformation/types';
export { validateModelSchema } from './transformation/validation';
export { ConflictDetectionType, ConflictHandlerType, ResolverConfig, SyncConfig, SyncConfigOptimistic, SyncConfigServer, SyncConfigLambda, TransformConfig, DatasourceType, DBType, } from './config/index';
export { GetArgumentsOptions, generateGetArgumentsInput, getTable, getKeySchema, getSortKeyFieldNames, getParameterStoreSecretPath, collectDirectives, collectDirectivesByTypeNames, DirectiveWrapper, APICategory, setResourceName, getResourceName, } from './utils';
export type { SetResourceNameProps } from './utils';
export * from './utils/operation-names';
export * from './errors';
export { TransformerModelBase, TransformerModelEnhancerBase, TransformerPluginBase, TransformerAuthBase, } from './transformation/transformer-plugin-base';
export { TransformerResolver, StackManager } from './transformer-context';
export { DDB_DB_TYPE, ImportAppSyncAPIInputs, ImportedDataSourceType, ImportedRDSType, MYSQL_DB_TYPE, RDS_SCHEMA_FILE_NAME, RDSConnectionSecrets, ImportedDataSourceConfig, RDSDataSourceConfig, } from './types';
export declare const getAppSyncServiceExtraDirectives: () => string;
export { MappingTemplate } from './cdk-compat';
export { EnumWrapper, FieldWrapper, InputFieldWrapper, InputObjectDefinitionWrapper, ObjectDefinitionWrapper, } from './wrappers/object-definition-wrapper';
//# sourceMappingURL=index.d.ts.map